Skip to main content
GET
Get Generated Benchmark

Authorizations

Authorization
string
header
required

Your Nugen API key, sent as a Bearer token

Path Parameters

benchmark_id
string
required

ID of the benchmark, returned when it was created

Response

Returns the benchmark's samples. Identity, status, and timestamps are served by GET /{benchmark_id}.

The benchmark's sample payload. Identity, status and timestamps are served by GET /{benchmark_id}.

benchmark_id
string
required

Benchmark ID

Example:

"benchmark_01k4x9m2p7q3r6a1"

document_ids
string[]

Document IDs used for generation

Example:
samples
BenchmarkSample · object[]

Complete list of benchmark samples

Example:
metadata
Metadata · object | null

Additional metadata

error
string | null

Error message if data fetch failed